Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 741062 - net-print/mtink-1.0.16-r2 fails to compile
Summary: net-print/mtink-1.0.16-r2 fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-08 07:08 UTC by Agostino Sarubbo
Modified: 2021-02-14 12:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,17.75 KB, text/plain)
2020-09-08 07:09 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-09-08 07:08:58 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-print/mtink-1.0.16-r2 fails to compile.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please block bug 408963. If you think that this issue is strictly related to the LLD linker, please block bug 731004.
This machine uses also GLIBC-2.32. If you think that this issue is strictly related to GLIBC please block bug 736174.
Comment 1 Agostino Sarubbo gentoo-dev 2020-09-08 07:09:01 UTC
Created attachment 659058 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-02-14 10:36:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eab7bcd2b21a9fcdbeffa663549547007740e523

commit eab7bcd2b21a9fcdbeffa663549547007740e523
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-14 10:32:57 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-14 10:32:57 +0000

    net-print/mtink: Fix build issues
    
    * Fix build with gcc-10
    * Fix detection of lesstif library
    * Do not call CC directly
    * Fix broken README symlink
    
    Closes: https://bugs.gentoo.org/708040
    Closes: https://bugs.gentoo.org/679324
    Closes: https://bugs.gentoo.org/727952
    Closes: https://bugs.gentoo.org/725196
    Closes: https://bugs.gentoo.org/741062
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 net-print/mtink/files/mtink-1.0.16-flags.patch     |  5 +--
 .../mtink/files/mtink-1.0.16-fno-common.patch      | 20 +++++++++
 net-print/mtink/files/mtink-1.0.16-motif.patch     | 49 ++++++++++++++++++++++
 net-print/mtink/files/mtink-1.0.16-overflow.patch  |  4 +-
 net-print/mtink/metadata.xml                       |  8 ++--
 net-print/mtink/mtink-1.0.16-r2.ebuild             | 35 ++++++++++------
 6 files changed, 100 insertions(+), 21 deletions(-)
Comment 3 Jakov Smolic 2021-02-14 12:17:59 UTC
I marked this as closed as I couldn't hit it, but please reopen if reproducible